using System;
class Takmicenje
{
    static void Main(string[] args)
    {
        string[] s = Console.ReadLine().Split();
        int n=int.Parse(s[0]);
        int visina = int.Parse(s[1]);

        int[] stalaktiti = new int[n];
        string[] s2 = Console.ReadLine().Split();
        for (int i = 0; i < n; i++)
        {
            stalaktiti[i]=int.Parse(s2[i]);
        }

        int prolaz = -1;

        for(int i = 0;i < n; i++)
        {
            if (visina >= stalaktiti[i])
            {
                prolaz=i+1;
                break;
            }
        }

        Console.WriteLine(prolaz);
    }
}